# List generated reports by paypoint GET https://api-sandbox.payabli.com/api/Query/notificationReports/{entry} Returns a list of all reports generated in the last 60 days for a single entrypoint. Use filters to limit results. Reference: https://docs.payabli.com/developers/api-reference/notification/get-list-of-reports-generated-in-last-60-days-for-entrypoint ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: payabliApi version: 1.0.0 paths: /Query/notificationReports/{entry}: get: operationId: list-notification-reports summary: Get list of reports generated in last 60 days for entrypoint description: >- Returns a list of all reports generated in the last 60 days for a single entrypoint. Use filters to limit results. tags: - subpackage_query parameters: - name: entry in: path required: true schema: $ref: '#/components/schemas/type_:Entry' - name: fromRecord in: query description: >- The number of records to skip before starting to collect the result set. required: false schema: type: integer default: 0 - name: limitRecord in: query description: >- Max number of records to return for the query. Use `0` or negative value to return all records. required: false schema: type: integer default: 20 - name: parameters in: query description: >- Collection of field names, conditions, and values used to filter the query **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20 See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for help. List of field names accepted: - `reportName` (ct, nct, eq, ne) - `createdAt` (gt, ge, lt, le, eq, ne) List of comparison accepted - enclosed between parentheses: - eq or empty => equal - gt => greater than - ge => greater or equal - lt => less than - le => less or equal - ne => not equal - ct => contains - nct => not contains - in => inside array - nin => not inside array List of parameters accepted: - limitRecord : max number of records for query (default="20", "0" or negative value for all) - fromRecord : initial record in query Example: reportName(ct)=tr return all records containing the string "tr" required: false schema: type: object additionalProperties: type: string - name: sortBy in: query description: >- The field name to use for sorting results. Use `desc(field_name)` to sort descending by `field_name`, and use `asc(field_name)` to sort ascending by `field_name`. required: false schema: type: string - name: requestToken in: header required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/type_:QueryResponseNotificationReports' '400': description: Bad request/ invalid data content: application/json: schema: description: Any type '401': description: Unauthorized request. content: application/json: schema: description: Any type '500': description: Internal API Error content: application/json: schema: description: Any type '503': description: Database connection error content: application/json: schema: $ref: '#/components/schemas/type_:PayabliApiResponse' servers: - url: https://api-sandbox.payabli.com/api - url: https://api.payabli.com/api components: schemas: type_:Entry: type: string description: >- The entity's entrypoint identifier. [Learn more](/developers/api-reference/api-overview#entrypoint-vs-entry) title: Entry type_:CreatedAt: type: string format: date-time description: Timestamp of when record was created, in UTC. title: CreatedAt type_:QueryResponseNotificationReportsRecordsItem: type: object properties: createdAt: $ref: '#/components/schemas/type_:CreatedAt' id: type: integer description: Unique identifier for the report. isDownloadable: type: boolean description: Indicator of whether the report can be downloaded. reportName: type: string description: Name of the report. title: QueryResponseNotificationReportsRecordsItem type_:PageIdentifier: type: string description: Auxiliary validation used internally by payment pages and components. title: PageIdentifier type_:Pagesize: type: integer description: Number of records on each response page. title: Pagesize type_:Totalrecords: type: integer description: Total number of records in response. title: Totalrecords type_:QuerySummary: type: object properties: pageIdentifier: $ref: '#/components/schemas/type_:PageIdentifier' pageSize: $ref: '#/components/schemas/type_:Pagesize' totalAmount: type: number format: double description: Total amount for the records. totalNetAmount: type: number format: double description: Total net amount for the records. totalPages: $ref: '#/components/schemas/type_:Totalrecords' totalRecords: $ref: '#/components/schemas/type_:Totalrecords' title: QuerySummary type_:QueryResponseNotificationReports: type: object properties: Records: type: array items: $ref: >- #/components/schemas/type_:QueryResponseNotificationReportsRecordsItem Summary: $ref: '#/components/schemas/type_:QuerySummary' title: QueryResponseNotificationReports type_:IsSuccess: type: boolean description: >- Boolean indicating whether the operation was successful. A `true` value indicates success. A `false` value indicates failure. title: IsSuccess type_:Responsedata: type: object additionalProperties: description: Any type description: The object containing the response data. title: Responsedata type_:ResponseText: type: string description: 'Response text for operation: ''Success'' or ''Declined''.' title: ResponseText type_:PayabliApiResponse: type: object properties: isSuccess: $ref: '#/components/schemas/type_:IsSuccess' responseData: $ref: '#/components/schemas/type_:Responsedata' responseText: $ref: '#/components/schemas/type_:ResponseText' required: - responseText title: PayabliApiResponse securitySchemes: ApiKeyAuth: type: apiKey in: header name: requestToken ``` ## SDK Code Examples ```typescript Example Response import { PayabliClient } from "@payabli/sdk-node"; async function main() { const client = new PayabliClient({ apiKey: "YOUR_API_KEY_HERE", }); await client.query.listNotificationReports("8cfec329267", { fromRecord: 251, limitRecord: 0, sortBy: "desc(field_name)", }); } main(); ``` ```python Example Response from payabli import payabli client = payabli( api_key="YOUR_API_KEY_HERE", ) client.query.list_notification_reports( entry="8cfec329267", from_record=251, limit_record=0, sort_by="desc(field_name)", ) ``` ```csharp Example Response using PayabliPayabliApi; using System.Threading.Tasks; namespace Usage; public class Example { public async Task Do() { var client = new PayabliPayabliApiClient( apiKey: "YOUR_API_KEY_HERE" ); await client.Query.ListNotificationReportsAsync( "8cfec329267", new ListNotificationReportsRequest { FromRecord = 251, LimitRecord = 0, SortBy = "desc(field_name)" } ); } } ``` ```go Example Response package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-sandbox.payabli.com/api/Query/notificationReports/8cfec329267?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("requestToken", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example Response require 'uri' require 'net/http' url = URI("https://api-sandbox.payabli.com/api/Query/notificationReports/8cfec329267?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["requestToken"] = '' response = http.request(request) puts response.read_body ``` ```java Example Response import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-sandbox.payabli.com/api/Query/notificationReports/8cfec329267?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29") .header("requestToken", "") .asString(); ``` ```php Example Response request('GET', 'https://api-sandbox.payabli.com/api/Query/notificationReports/8cfec329267?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29', [ 'headers' => [ 'requestToken' => '', ], ]); echo $response->getBody(); ``` ```swift Example Response import Foundation let headers = ["requestToken": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/notificationReports/8cfec329267?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```